# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::LinearInterpolatorDouble Class Reference

Interpolates `double` values using a LinearInterpolator. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolatorDouble:

List of all members.

## Public Member Functions

| LinearInterpolatorDouble ()
| LinearInterpolatorDouble (const std::vector< double > &path)
double | computePoint (float t) const
| Samples the interpolator at the given point.
LinearInterpolatorDouble_T * | interpolator ()
const LinearInterpolatorDouble_T * | interpolator () const
void | setInterpolator (LinearInterpolatorDouble_T *interpolator)

## Protected Attributes

vl::ref < LinearInterpolatorDouble_T > | mInterpolator

## Detailed Description

Interpolates `double` values using a LinearInterpolator.

Definition at line 187 of file LinearInterpolator.hpp.

## Constructor & Destructor Documentation

vl::LinearInterpolatorDouble::LinearInterpolatorDouble | ( | ) | `[inline]`

Definition at line 190 of file LinearInterpolator.hpp.

vl::LinearInterpolatorDouble::LinearInterpolatorDouble | ( | const std::vector< double > & | path ) | `[inline]`

Definition at line 191 of file LinearInterpolator.hpp.

## Member Function Documentation

double vl::LinearInterpolatorDouble::computePoint | ( | float | t ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorDouble.

Definition at line 192 of file LinearInterpolator.hpp.

References vl::LinearInterpolator< T >::computePoint(), and interpolator().

LinearInterpolatorDouble_T* vl::LinearInterpolatorDouble::interpolator | ( | ) | `[inline]`

Definition at line 193 of file LinearInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

Referenced by computePoint(), and setInterpolator().

const LinearInterpolatorDouble_T* vl::LinearInterpolatorDouble::interpolator | ( | ) | const`[inline]`

Definition at line 194 of file LinearInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

void vl::LinearInterpolatorDouble::setInterpolator | ( | LinearInterpolatorDouble_T * | interpolator ) | `[inline]`

Definition at line 195 of file LinearInterpolator.hpp.

References interpolator(), and mInterpolator.

## Member Data Documentation

vl::ref<LinearInterpolatorDouble_T> vl::LinearInterpolatorDouble::mInterpolator`[protected]`

Definition at line 197 of file LinearInterpolator.hpp.

Referenced by interpolator(), and setInterpolator().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/LinearInterpolator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:33.
Permission is granted to use this page to write and publish articles regarding Visualization Library.